<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateExternalShipdatasTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: external_shipdatas
         */
        Schema::create('external_shipdatas', function ($table) {
            $table->increments('id');
            $table->integer('vessel_id')->nullable();
            $table->string('company', 255)->nullable();
            $table->string('title', 255)->nullable();
            $table->string('date', 225)->nullable();
            $table->text('images')->nullable();
            $table->string('price', 255)->nullable();
            $table->string('length', 255)->nullable();
            $table->string('destinations', 255)->nullable();
            $table->text('slug')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('external_shipdatas');
    }
}
