<?php

namespace Btravel\Externalshipdata;

use User;

class Externalshipdata
{
    /**
     * $external_shipdata object.
     */
    protected $external_shipdata;

    /**
     * Constructor.
     */
    public function __construct(\Btravel\Externalshipdata\Interfaces\ExternalShipdataRepositoryInterface $external_shipdata)
    {
        $this->external_shipdata = $external_shipdata;
    }

    /**
     * Returns count of externalshipdata.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.external_shipdata.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->external_shipdata->pushCriteria(new \Litepie\Btravel\Repositories\Criteria\ExternalShipdataUserCriteria());
        }

        $external_shipdata = $this->external_shipdata->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('externalshipdata::' . $view, compact('external_shipdata'))->render();
    }
}
